> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hobbo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Review Chunk 

> Split customer reviews into useful chunks



## OpenAPI

````yaml POST /features/review-chunk
openapi: 3.1.0
info:
  title: OpenAPI Plant Store
  description: >-
    A sample API that uses a plant store as an example to demonstrate features
    in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.hobbo.ai
    description: Main API server
  - url: https://py-api.hobbo.ai
    description: Python API server for scraper endpoints
security:
  - ApiKeyAuth: []
paths:
  /features/review-chunk:
    post:
      description: Split customer reviews into useful chunks
      requestBody:
        description: Customer review text to be processed and split into chunks
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ReviewChunksRequest'
        required: true
      responses:
        '200':
          description: Review chunks generated successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ReviewChunksResponse'
        '400':
          description: Validation error or unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              examples:
                validationError:
                  value:
                    error: <string>
      servers:
        - url: https://py-api.hobbo.ai
components:
  schemas:
    ReviewChunksRequest:
      type: object
      required:
        - review_text
      properties:
        review_id:
          type:
            - string
            - 'null'
          description: Review Identifier
        review_text:
          type: string
          description: Content of the review
        review_title:
          type:
            - string
            - 'null'
          description: Title of the review
        widget_type:
          type:
            - string
            - 'null'
          description: Widget type
    ReviewChunksResponse:
      type: object
      properties:
        review_chunck:
          type: array
          description: List of keywords
          items:
            type: string
    Error:
      type: object
      properties:
        status:
          type: integer
          description: HTTP status code
        data:
          type: object
          description: Empty object or additional error data
        success:
          type: boolean
          description: Indicates operation failed
          example: false
        message:
          type: string
          description: Error message describing what went wrong

````